
variables:
    CONAN_REFERENCE: "hello/0.1"
    CONAN_USERNAME: "jeremy.coulon.jrmc+conan-hello"
    CONAN_CHANNEL: "testing"
    CONAN_UPLOAD: "https://gitlab.com/api/v4/packages/conan"
    CONAN_LOGIN_USERNAME: "ci_user"
    CONAN_PASSWORD: "${CI_JOB_TOKEN}"

.build-template: &build-template
    before_script:
        - sudo pip install --upgrade conan_package_tools
        - conan user
    script:
        - python build.py

gcc-8:
    image: conanio/gcc8
    variables:
        CONAN_GCC_VERSIONS: "8"
    <<: *build-template

